Bug 1184174 - (CVE-2021-3474) VUL-0: CVE-2021-3474: openexr,OpenEXR: Undefined-shift in Imf_2_5::FastHufDecoder::FastHufDecoder
(CVE-2021-3474)
VUL-0: CVE-2021-3474: openexr,OpenEXR: Undefined-shift in Imf_2_5::FastHufDec...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/280716/
CVSSv3.1:SUSE:CVE-2021-3474:5.3:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-30 15:04 UTC by Alexander Bergmann
Modified: 2021-11-23 12:47 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 2 Petr Gajdos 2021-03-31 16:44:30 UTC
Will submit for 15/openexr. The code is not there in older distros.
Comment 4 Swamp Workflow Management 2021-04-08 01:15:07 UTC
SUSE-SU-2021:1097-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1184172,1184173,1184174
CVE References: CVE-2021-3474,CVE-2021-3475,CVE-2021-3476
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    openexr-2.2.1-3.24.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-04-11 01:15:47 UTC
openSUSE-SU-2021:0536-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1184172,1184173,1184174
CVE References: CVE-2021-3474,CVE-2021-3475,CVE-2021-3476
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    openexr-2.2.1-lp152.7.11.1
Comment 6 Marcus Meissner 2021-11-23 12:47:42 UTC
released